#
#Console.default.skin=Modern
Console.default.skin=SUU

# StyleSheets
# The XSLTProcessor class accesses these properties.
Console.style.ComponentDetailsValidation=ComponentDetailsValidation.xsl
Console.style.ComponentValidation=ComponentValidation.xsl
Console.style.Summary=Summary.xsl
Console.style.SummaryValid=SummaryValid.xsl
Console.style.SummaryInvalid=SummaryNotvalidInvalid.xsl
Console.style.njs.ComponentDetailsValidation=ComponentDetailsValidation_njs.xsl
Console.style.njs.ComponentValidation=ComponentValidation_njs.xsl
Console.style.njs.Summary=Summary_njs.xsl
Console.style.njs.SummaryValid=SummaryValid_njs.xsl
Console.style.njs.SummaryInvalid=SummaryNotvalidInvalid_njs.xsl

# This property file is handled by ConsoleConstants
#Console.icon.splashScreen=images/omcf.gif
Console.icon.splashScreen=etc/images/suu_splash.gif

# The legal values are true or false. If true, the bottom status bar
# will be displayed. If false, the bottom status bar will not be displayed.
# If the incorrect value is specified or this property does not exist,
# then the status bar will be displayed.
Console.ui.statusBar=false

# The OMSG Global Navigation Bar is the black/grey title bar along the
# top of the console that may have menu buttons along it such as:
# Help, Support, Exit, etc.  Default of true will include this
# nav bar at the top of the console.  False will remove it from
# the console
Console.ui.globalNavigationBar=true

# This variable should normally be set to false. If set to true and the user
# clicks on the Navigation Bar torwards the middle right, then AboutBox
# dialog will appear.
Console.NavigationBar.ShowVersion=false

# The default implementation of the Topology Parser for OMCF/OMSAT
Console.default.TopologyParser=san.xml.SANTopologyParser

Console.ui.leftPanelWidth=150
Console.frame.title=Server Update Utility
Console.TopPanel.title=Server Update Utility

# This variable controls whether the mouse entering a NavigationBarButton
# would enable that NavigationBarButton's context
Console.NavigationBar.hover.enable=true

# This variable controls whether the Console should be exposed as soon as
# possible or whether the visibility should be programmatically set. Absense
# of this variable equals to "true"
# If false, then the console will be invisible until the ConsoleConstants.setVisible(true)
# is executed.
Console.startup.visible=true

# This variable defines the port number at which the Cline engine listens
# for Cline UI requests
Console.servlet.port=8085

# Same for Proxy Agent (obsoleted)
Console.ProxyAgent.port=2099

# This variable controls the frame icon that is displayed on the upper left
# hand corner of the Cline console and any other popup windows.
#Console.frameIcon=images/omcf16.gif
#Console.frameIcon=images/sim16x16.gif
Console.frameIcon=etc/images/suuicon.gif

# This variable controls whether the Software catalog editor is displayed
# within the console (right hand frame) or as a popup editor. The default is
# a popup editor. If editorInConsole is true, then the editor is embedded within
# OMCF. The absense of the variable or its value being 'false' indicates a
# pop-up editor
#Console.sw.editorInConsole=true
#Console.hw.editorInConsole=false

########################################
# HEARTBEAT
########################################
# The heartbeat puts an entry in the log file that is used to log all messages
# from either the engine or the ui
Console.engine.heartbeat.enabled=false
Console.ui.heartbeat.enabled=false

# This interval time is in minutes.
Console.engine.heartbeat.interval=10
Console.ui.heartbeat.interval=10

##############################################################################
# UI Debug Logging under Prisa
##############################################################################
Console.debugFile=c:/UIDebug.txt

##############################################################################
# Debug Logging under all conditions
##############################################################################
#Console.debug.log=

##############################################################################
# **** MAIL VARIABLES ********************************************************
##############################################################################
Console.mailAddress.From=SANSupport@dell.com
Console.mailAddress.To=chris_peters@dell.com
Console.mailAddress.SMTPServer=smtp.dell.com
# ****************************************************************************

Console.OMCF.helpPage=docs/suu/index.htm
Console.OMSNA.helpPage=docs/suu/index.htm

Console.OMCF.tutorialPage=tutorial/index.html
Console.OMSNA.tutorialPage=tutorial/EMCindex.html

Console.supportPage=http://www.support.dell.com

###############################################################################
# These are various, dynamically loaded classes that OMCF uses.
###############################################################################
Console.fileManager=OMSAT.OMSATSnapMgmt
Console.reportChooser=OMSATC.ReportChooserMenu
Console.ValidatorConsole=san.validator.ui.JValidatorConsole

Console.IUIComponent=OMCF.ui.widget.UIComponent

Console.OLD.implementor=san.OLD.SampleOLD
Console.AddOns.ICmp=cmp.Wassup.Wassup

#Console.HTMLRenderer=san.ui.ExplorerConsole
Console.HTMLRenderer=OMCF.ui.HTMLConsole
#Console.ValidatorConsole=san.validator.ui.ValidatorConsole
###############################################################################

#*****************************************************************************
Console.report.SummarySuffix=SANValidationSummary.html
Console.report.DetailsSuffix=SANValidationDetails.html

#Arvind: DFCT72409
Console.report.SummarySuffixTitle=Summary Report
Console.report.DetailsSuffixTitle=Details Report
#*****************************************************************************

Console.LinkFollower.timeout=60
ServletManager.ValidationTimeout=180
ServletManager.SNMPTimeout=30
ServletManager.SNMPRetries=1
Console.OLD.implementor=OLD.SampleOLD

#*****************************************************************************
# The following effectively turns off checking for the Proxy Agent.
# If the Proxy Agent is turned on, set it to a value between 10 - 30
Console.PAPingFrequency=0

###############################################################################
# Explorer Browser Executables
###############################################################################
#Console.browser.0=c:/Program Files/Plus!/Microsoft Internet/iexplore.exe
#Console.browser.1=c:/Program Files/Internet Explorer/iexplore.exe
#Console.browser.2=/usr/local/mozilla/mozilla
#Console.browser.3=/usr/lib/mozilla-1.0.2/mozilla-bin
#Console.browser.4=/usr/lib/mozilla-1.4/mozilla-bin
#Console.browser.options1=javascript:self.open('
#Console.browser.options2=','','toolbar=no,scrollbars')
Console.browser.linux.0=firefox
Console.browser.linux.1=mozilla
Console.default.browser.windows.0=c:/Program Files/Internet Explorer/iexplore.exe
Console.default.browser.linux.0=/usr/local/mozilla/mozilla
Console.default.browser.linux.1=/usr/bin/firefox

###############################################################################
# Menu Style
# This property will determine whether the console uses a traditional Windows
# style menu bar or a Dell Open Manage Style Guide style of menu control.
# A setting of false will use the OMSG Classic style.  true will use a Windows
# style.
#
###############################################################################
Console.useWindowsStyleMenus=true

###############################################################################
# HostName Label
# This property will determine whether the host name label is displayed on the
# left hand side of the console.  Currently the OMSG plan is for 1:1 consoles
# to have this set to true.  For 1:n consoles, it can be set to: false.
###############################################################################
Console.hostNameLabelEnabled=true

###############################################################################
# Authentication Required
# This property will determine whether the OMCF Authentication screen will be
# presented to the user at Startup.
# A value of true will present the authentication screen.  A value of false
# will start the application without the authentication screen.
###############################################################################
Console.authenticationRequired=false

###############################################################################
# Authentication Plugin
# If a plugin requires user/pw authentication, it will need to have an
# implementation of IAuthenticationPlugin.  This property will specify the
# class name of this plugin.
###############################################################################
#Console.authenticationPlugin=OMCF.security.LoginPlugin

########################################
# Default / initial size for the OMCF Console
########################################
Console.ui.defaultSize=800, 600
#Console.ui.defaultSize=1024, 768
#Console.ui.defaultSize=1000, 750

########################################
# Is OMCF console resizable? (true/false)
########################################
Console.ui.resizable=true

########################################
# When this flag is turned on, OMCF
# comes up in full screen mode
# Absense of this property sets it to false (default)
########################################
Console.ui.fullScreen=false

################################################################################
# Tab enablement.
# This variable controls whether tabs appear on the left and right frame
# In other words, it controls whether a JTabbedFrame is being used on not
################################################################################
Console.tabs.enabled=false

###############################################################################
# Enables/disables the popup that appears when the user presses the right
# most mouse key on the tabbed pane that allows the user to close the currently
# displayed panel, close all panels or toggle the full screen mode on/off
###############################################################################
Console.enableCloseTogglePopup=true
